/****************************************************************************/
/*                                                                          */
/*                      Chaine de CAO & VLSI   Alliance                     */
/*                                                                          */
/*    Produit : DESB  v2.n                                                  */
/*    Fichier : alim.c                                                      */
/*                                                                          */
/*    (c) copyright 1993 Laboratoire MASI equipe CAO & VLSI                 */
/*    Tous droits reserves                                                  */
/*    Support : e-mail cao-vlsi@masi.ibp.fr                                 */
/*                                                                          */
/*    Auteur(s) : Marc LAURENTIN                        le : 27/01/1993     */
/*                                                                          */
/*    Modifie par :                                     le : ../../....     */
/*    Modifie par :                                     le : ../../....     */
/*    Modifie par :                                     le : ../../....     */
/*                                                                          */
/****************************************************************************/

#include"head.h"

void fcfFatalError(code,str1,str2,str3,num)
int code ;
char * str1 ;
char * str2 ;
char * str3 ;
int num     ;
{

   if(FCF_LANG == 'E')
   fprintf(stderr,"[FATAL ERR %d] ");
   else if (FCF_LANG == 'F')
   fprintf(stderr,"[FATAL ERR %d] ");


   switch(code)
   {

      case 1 :

      if(FCF_LANG == 'E')
      fprintf(stderr,"Executing '%s' : Path without wthout Bdd associated\n",str1);
      else if (FCF_LANG == 'F')
      fprintf(stderr,"Fonction '%s' : Path sans Bdd associe\n",str1);
      break ;

      case 2 :

      if(FCF_LANG == 'E')
      fprintf(stderr,"Executing '%s' : connector '%s' does not exist",str1,str2);
      else if (FCF_LANG == 'F')
      fprintf(stderr,"Fonction '%s' : Le connecteur '%s' n'existe pas",str1,str2);
      case 3 :

      if(FCF_LANG == 'E')
      fprintf(stderr,"Executing '%s' : Cone without USER CONETYPE\n",str1); 
      else if (FCF_LANG == 'F')
      fprintf(stderr,"Fonction '%s' : Cone sans USER CONETYPE\n",str1);
      break ;

      case 4 :

      if(FCF_LANG == 'E')
      fprintf(stderr,"Executing '%s' : Name '%s' not found",str1);
      else if (FCF_LANG == 'F')
      fprintf(stderr,"Fonction '%s' : Nom '%s' non trouve",str1);
      break ;

      case 5 :

      if(FCF_LANG == 'E')
      fprintf(stderr,"Executing '%s' :Path EXT with only one name",str1); 
      else if (FCF_LANG == 'F')
      fprintf(stderr,"Fonction '%s' : Path EXT n'ayant qu'un seul nom",str1);
      break ;

      case 6 :

      if(FCF_LANG == 'E')
      fprintf(stderr,"Executing '%s' :Path without name\n",str1);
      else if (FCF_LANG == 'F')
      fprintf(stderr,"Fonction '%s' : Path sans nom \n",str1);
      break ;

      break ;

   }
fflush(stderr);
exit(-1);
}
